Short interest
Bi-monthly short interest, days to cover, revision history.
Short interest, change, and days to cover are exposed on the entity ownership sub-graph, and via the top-level shortInterest(ticker, filter) query. The top-level query and MarketData.shortInterest both accept ArrayFilterInput for date slicing and limits.
{
entitiesByTickers(tickers: ["GME"]) {
ownership {
shortInterest
shortPercentOfFloat
daysToCover
}
}
}
- curl
- TypeScript
- CLI
curl https://api.jintel.ai/api/graphql \
-H "Authorization: Bearer $JINTEL_API_KEY" \
-d '{"query":"{ entitiesByTickers(tickers:[\"GME\"]) { ownership { shortInterest shortPercentOfFloat daysToCover } } }"}'
const { data } = await jintel.shortInterest("GME", { limit: 5 });
// [{ reportDate, shortInterest, daysToCover, change, ... }]
jintel short-interest GME